# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name conduit

%global common_summary Streaming data processing library

%global common_description Conduits are an approach to the streaming data problem. They are meant\
as an alternative to enumerators/iterators, hoping to address the same\
issues with different trade-offs based on real-world experience with\
enumerators. For more information, see http://www.yesodweb.com/book/conduit.

Name:           ghc-%{pkg_name}
Version:        0.4.2
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-void-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-3
- rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.4.2-1
- update to 0.4.2

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.4.1.1-2
- rebuild

* Wed Apr 25 2012 Jens Petersen <petersen@redhat.com> - 0.4.1.1-1
- update to 0.4.1.1
- depends on void

* Tue Apr 10 2012 Jens Petersen <petersen@redhat.com> - 0.3.0-1
- update to 0.3.0
- depends on resourcet

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-2
- add license to ghc_files

* Tue Mar  6 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- update to 0.2.2

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- BSD license
- needs lifted-base

* Tue Feb  7 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
